# alloc.c File Reference

`#include <psptypes.h>`
`#include <pspkernel.h>`
`#include <malloc.h>`
`#include <string.h>`

Include dependency graph for alloc.c:

## Data Structures

struct | _heap_mem_header

## Defines

#define | DEFAULT_ALIGNMENT 16
#define | ALIGN(x, align) (((x)+((align)-1))&~((align)-1))

## Typedefs

typedef _heap_mem_header | heap_mem_header_t

## Functions

void * | _sbrk (ptrdiff_t incr)
void | _pspsdk_alloc_init ()
void | _pspsdk_alloc_deinit ()
void | _pspsdk_alloc_lock ()
void | _pspsdk_alloc_unlock ()
heap_mem_header_t * | _heap_mem_fit (heap_mem_header_t *head, size_t size)

## Variables

void * | __alloc_heap_base
heap_mem_header_t * | __alloc_heap_head
heap_mem_header_t * | __alloc_heap_tail

## Define Documentation

#define ALIGN | ( | x,
|  | align |  | ) | (((x)+((align)-1))&~((align)-1))

#define DEFAULT_ALIGNMENT 16

## Typedef Documentation

typedef struct _heap_mem_header heap_mem_header_t

## Function Documentation

heap_mem_header_t* _heap_mem_fit | ( | heap_mem_header_t * | head,
|  | size_t | size
| ) |

void _pspsdk_alloc_deinit | ( |  | ) |

void _pspsdk_alloc_init | ( |  | ) |

void _pspsdk_alloc_lock | ( |  | ) |

void _pspsdk_alloc_unlock | ( |  | ) |

void* _sbrk | ( | ptrdiff_t | incr | ) |

## Variable Documentation

void* __alloc_heap_base

heap_mem_header_t* __alloc_heap_head

heap_mem_header_t* __alloc_heap_tail